dev-util / cucumber-compatibility-kit

Kit to check compatibility with official cucumber implementation

Official package sites : https://cucumber.io/ ·

v9.2.1-r1 :: 9 :: gentoo

Modified
License
MIT
Keywords
~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86
USE flags
doc test

General

doc
Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

ruby_targets

ruby27
Build with MRI Ruby 2.7.x
ruby30
Build with MRI Ruby 3.0.x
ruby31
Build with MRI Ruby 3.1.x

dev-lang / ruby : An object-oriented scripting language

virtual / rubygems : Virtual ebuild for rubygems

dev-lang / ruby : An object-oriented scripting language

dev-util / cucumber-messages : Protocol Buffer messages for Cucumber's inter-process communication

virtual / rubygems : Virtual ebuild for rubygems

Repository mirror & CI · gentoo
Merge updates from master
Hans de Graaff · gentoo
dev-util/cucumber-compatibility-kit: keyword 9.2.1-r1
This package primarily consists of data files used during testing of cucumber, so add all keywords right away to avoid a keywording request for dev-util/cucumber. Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Hans de Graaff · gentoo
dev-util/cucumber-compatibility-kit: drop 9.2.1
Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Hans de Graaff · gentoo
dev-util/cucumber-compatibility-kit: install mandatory features
Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Hans de Graaff · gentoo
dev-util/cucumber-compatibility-kit: new package, add 9.2.1
Signed-off-by: Hans de Graaff <graaff@gentoo.org>